Sie sind nicht angemeldet.

  • »DanielH« ist der Autor dieses Themas

Beiträge: 78

Registrierungsdatum: 24.03.2010

Derivat: Kubuntu

Architektur: 64-Bit PC

Desktop: KDE4

Andere Betriebssysteme: gibt es andere Betriebssysteme als Ubuntu?

  • Nachricht senden

21

25.02.2015, 15:40


Interessiert hätte mich eventuell die Ausgabe des reinstall-Kommandos, um zu sehen, was alles nachgezogen wurde. cups hat ja einige Abhängigkeiten, und wie man sieht sollten die lieber zusammenpassen.
als Dankeschön ein paar Blumen
Danke :)


Die konnte ich tatsächlich noch auf einer einsamen Konsole finden:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  fonts-lmodern lacheck language-pack-gnome-en language-pack-gnome-en-base
  libgail18 libglade2-0 libgnomecanvas2-0 libgnomecanvas2-common libpostproc52
  linux-headers-3.13.0-34 linux-headers-3.13.0-34-generic
  linux-headers-3.13.0-35 linux-headers-3.13.0-35-generic
  linux-headers-3.13.0-36 linux-headers-3.13.0-36-generic
  linux-headers-3.13.0-37 linux-headers-3.13.0-37-generic
  linux-headers-3.13.0-39 linux-headers-3.13.0-39-generic
  linux-headers-3.13.0-40 linux-headers-3.13.0-40-generic
  linux-headers-3.13.0-43 linux-headers-3.13.0-43-generic
  linux-image-3.13.0-34-generic linux-image-3.13.0-35-generic
  linux-image-3.13.0-36-generic linux-image-3.13.0-37-generic
  linux-image-3.13.0-39-generic linux-image-3.13.0-40-generic
  linux-image-3.13.0-43-generic linux-image-extra-3.13.0-34-generic
  linux-image-extra-3.13.0-35-generic linux-image-extra-3.13.0-36-generic
  linux-image-extra-3.13.0-37-generic linux-image-extra-3.13.0-39-generic
  linux-image-extra-3.13.0-40-generic linux-image-extra-3.13.0-43-generic
  lmodern luatex preview-latex-style
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  cups-client cups-common cups-core-drivers cups-daemon cups-server-common
  libcups2 libcupscgi1 libcupsimage2 libcupsmime1 libcupsppdc1
Suggested packages:
  cups-bsd printer-driver-hpcups hplip cups-pdf xpp
The following packages will be upgraded:
  cups cups-client cups-common cups-core-drivers cups-daemon
  cups-server-common libcups2 libcupscgi1 libcupsimage2 libcupsmime1
  libcupsppdc1
11 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.                                                                                                                                                                                                                
Need to get 1,621 kB of archives.                                                                                                                                                                                                                                              
After this operation, 1,024 B of additional disk space will be used.                                                                                                                                                                                                           
Do you want to continue? [Y/n] Y                                                                                                                                                                                                                                               
Get:1 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main libcupsppdc1 amd64 1.7.2-0ubuntu1.4 [44.0 kB]                                                                                                                                                                   
Get:2 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main libcupsmime1 amd64 1.7.2-0ubuntu1.4 [12.1 kB]                                                                                                                                                                   
Get:3 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main libcupsimage2 amd64 1.7.2-0ubuntu1.4 [15.3 kB]                                                                                                                                                                  
Get:4 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main libcupscgi1 amd64 1.7.2-0ubuntu1.4 [26.3 kB]                                                                                                                                                                    
Get:5 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main cups-core-drivers amd64 1.7.2-0ubuntu1.4 [25.6 kB]                                                                                                                                                              
Get:6 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main cups-server-common all 1.7.2-0ubuntu1.4 [512 kB]                                                                                                                                                                
Get:7 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main cups-common all 1.7.2-0ubuntu1.4 [160 kB]                                                                                                                                                                       
Get:8 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main cups-client amd64 1.7.2-0ubuntu1.4 [196 kB]                                                                                                                                                                     
Get:9 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main cups-daemon amd64 1.7.2-0ubuntu1.4 [267 kB]                                                                                                                                                                     
Get:10 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main libcups2 amd64 1.7.2-0ubuntu1.4 [179 kB]                                                                                                                                                                       
Get:11 http://no.archive.ubuntu.com/ubuntu/ trusty-updates/main cups amd64 1.7.2-0ubuntu1.4 [184 kB]                                                                                                                                                                           
Fetched 1,621 kB in 0s (2,365 kB/s)                                                                                                                                                                                                                                            
Preconfiguring packages ...                                                                                                                                                                                                                                                    
(Reading database ... 381131 files and directories currently installed.)                                                                                                                                                                                                       
Preparing to unpack .../libcupsppdc1_1.7.2-0ubuntu1.4_amd64.deb ...                                                                                                                                                                                                            
Unpacking libcupsppdc1:amd64 (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...                                                                                                                                                                                                    
Preparing to unpack .../libcupsmime1_1.7.2-0ubuntu1.4_amd64.deb ...                                                                                                                                                                                                            
Unpacking libcupsmime1:amd64 (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...                                                                                                                                                                                                    
Preparing to unpack .../libcupsimage2_1.7.2-0ubuntu1.4_amd64.deb ...                                                                                                                                                                                                           
Unpacking libcupsimage2:amd64 (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...                                                                                                                                                                                                   
Preparing to unpack .../libcupscgi1_1.7.2-0ubuntu1.4_amd64.deb ...
Unpacking libcupscgi1:amd64 (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../cups-core-drivers_1.7.2-0ubuntu1.4_amd64.deb ...
Unpacking cups-core-drivers (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../cups-server-common_1.7.2-0ubuntu1.4_all.deb ...
Unpacking cups-server-common (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../cups-common_1.7.2-0ubuntu1.4_all.deb ...
Unpacking cups-common (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../cups-client_1.7.2-0ubuntu1.4_amd64.deb ...
Unpacking cups-client (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../cups-daemon_1.7.2-0ubuntu1.4_amd64.deb ...
Unpacking cups-daemon (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../libcups2_1.7.2-0ubuntu1.4_amd64.deb ...
Unpacking libcups2:amd64 (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Preparing to unpack .../cups_1.7.2-0ubuntu1.4_amd64.deb ...
Unpacking cups (1.7.2-0ubuntu1.4) over (1.7.2-0ubuntu1.2) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for ureadahead (0.100.0-16) ...
ureadahead will be reprofiled on next reboot
Processing triggers for ufw (0.34~rc-0ubuntu2) ...
Setting up libcups2:amd64 (1.7.2-0ubuntu1.4) ...
Setting up libcupsppdc1:amd64 (1.7.2-0ubuntu1.4) ...
Setting up libcupsmime1:amd64 (1.7.2-0ubuntu1.4) ...
Setting up libcupsimage2:amd64 (1.7.2-0ubuntu1.4) ...
Setting up libcupscgi1:amd64 (1.7.2-0ubuntu1.4) ...
Setting up cups-daemon (1.7.2-0ubuntu1.4) ...
cups start/running
Setting up cups-core-drivers (1.7.2-0ubuntu1.4) ...
Setting up cups-server-common (1.7.2-0ubuntu1.4) ...
Setting up cups-common (1.7.2-0ubuntu1.4) ...
Setting up cups-client (1.7.2-0ubuntu1.4) ...
Setting up cups (1.7.2-0ubuntu1.4) ...
Processing triggers for libc-bin (2.19-0ubuntu6.5) ...

22

25.02.2015, 21:25

Danke. Sieht sauber aus, die Paketverwaltung hat alles von selbst mit erneuert.
Sehr schön :)
mir is wurscht

  • »DanielH« ist der Autor dieses Themas

Beiträge: 78

Registrierungsdatum: 24.03.2010

Derivat: Kubuntu

Architektur: 64-Bit PC

Desktop: KDE4

Andere Betriebssysteme: gibt es andere Betriebssysteme als Ubuntu?

  • Nachricht senden

23

25.02.2015, 21:33

Danke. Sieht sauber aus, die Paketverwaltung hat alles von selbst mit erneuert.
Sehr schön :)


Ich habe zu danken! Kann man anhand des Outputs eigentlich Rückschlüsse darauf ziehen, was da passiert ist? Ich meine bloßes Deinstallieren und Neuinstallieren von CUPS hat ja nicht geholfen.

24

26.02.2015, 01:35

Kann man anhand des Outputs eigentlich Rückschlüsse darauf ziehen, was da passiert ist?
Nein, hier nicht mehr.
Man hätte sich vor der Deinstallation am 20.1. die Liste der installierten Pakete ansehen können, um vielleicht etwas zu erkennen. Meine Vermutung ist, daß noch eine zeitlang eine ältere Version von cups-daemon lief. Das klingt zwar unlogisch, da die Pakete wegen ihrer Abhängigkeit normalerweise auf gleichem Stand gehalten werden. Wenn aber zB. ein automatisches Update unwissentlich unterbrochen wurde, könnte sowas zB passieren. Das muss auch gar nicht gleich auffallen, wenn die beiden Versionen im Alltag zusammenarbeiten. Bis man eine Funktion benötigt, wo sie nicht mehr zusammenspielen (wie etwa neue Drucker zufügen...)

Warum ich das glaube: Es gab, wie gesagt im Log einen Fehler wegen einer unbekannten Option in einer Conf-Datei, was schon nicht üblich wäre, wenn die Versionen zusammenpassen. Nach dem --purge war die Config weg und kam auch nicht mehr, weil sie bei 14.04 eigentlich woanders liegen sollte (zweite Auffälligkeit).
Beim ersten neu-Installieren wurden nur die paar vorher entfernten Pakete erneuert, nicht aber cups-daemon. Erstens wurde es nicht verlangt, er wurde ja davor auch nicht deinstalliert. Als Abhängigkeit musste er auch nicht neu installiert werden, da er laut Paketverwaltung die ganze Zeit da war (nur eben wie ich vermute nicht fertig konfiguriert). Wenn diese Vermutung halbwegs stimmt, hätte ein --reinstall cups-daemon genügt. Um sicher zu gehen, war es aber besser, gleich den ganzen cups mit Gewalt zu erneurn, da dann alle Abhängigkeiten neu abgeholt werden. Wer weiß, wo es sonst noch haken hätte können.

Wie gesagt, vage Vermutungen...
mir is wurscht

  • »DanielH« ist der Autor dieses Themas

Beiträge: 78

Registrierungsdatum: 24.03.2010

Derivat: Kubuntu

Architektur: 64-Bit PC

Desktop: KDE4

Andere Betriebssysteme: gibt es andere Betriebssysteme als Ubuntu?

  • Nachricht senden

25

26.02.2015, 09:14

Ich frage einfach nochmal nach, weil ich es verstehen möchte ;-): Deinstalliert wurden zunächst cups und cups-client. Bedeutet das, dass der cups-daemon zunächst nicht deinstalliert wurde?

Und: Was ist der genaue unterschied zwischen apt-get install und apt-get install --reinstall? Bedeutet das eine, dass "nur" das installiert wird, was noch nicht da ist und das andere, dass zwangsweise alles neu installiert wird, egal ob es schon da war oder nicht?

26

26.02.2015, 11:56

Deinstalliert wurden zunächst cups und cups-client. Bedeutet das, dass der cups-daemon zunächst nicht deinstalliert wurde?
Nein, es wurde ja nicht verlangt :)
Sieh selbst, in Beitrag #3 hast du die Deinstallation gemeldet.
In Beitrag #8 stand in der Ausgabe der Installation (Zeile 28+29):

Zitat

The following NEW packages will be installed:
cups cups-client printer-driver-gutenprint
Wieso printer-driver-gutenprint nachgezogen wurde, müsste ich jetzt recherchieren. Es könnte jetzt eine feste Abhängigkeit sein, die es vorher nicht war.
Im gleichen Beitrag, letzte Ausgabe (installierte Pakte) ist in Zeile 6 cups-daemon vorhanden, obwohl er soeben nicht neu installiert wurde. Also war das Paket auch nach dem remove noch da, wurde also vorher nicht deinstalliert (war ja nicht verlangt).

Soweit zu deiner Frage.
Im Zuge der Beantwortung ergab sich, daß cups-daemon aber auch kein Überbleibsel von Precise war, denn da gab es das Paket noch nicht. Der Daemon war Teil von cups, und es gab eine Konfigurationsdatei namens /etc/cups/cupsd.conf, die in dem Log bemängelt wurde. Mit 14.04 wurde der Daemon ausgelagert, und diese Datei gibt es nicht mehr. Irgendwas passte also nicht zusammen.
Die Infos sind von hier: http://packages.ubuntu.com/precise-updates/cups http://packages.ubuntu.com/precise-updat…4/cups/filelist http://packages.ubuntu.com/trusty-update…4/cups/filelist http://packages.ubuntu.com/trusty/amd64/cups-daemon/filelist

Wo der entsprechende Ersatz ist, sehe ich jetzt auch nicht. Verschwunden ist sie bei dir übrigens durch den Zusatz "--purge" beim Deinstallieren von cups. Damit werden alle zugehörigen Dateien entfernt, nicht nur die Programme.

Was ist der genaue unterschied zwischen apt-get install und apt-get install --reinstall?
Genau das, was du vermutest. Du kannst alles in 'man apt-get' nachlesen.
mir is wurscht

  • »DanielH« ist der Autor dieses Themas

Beiträge: 78

Registrierungsdatum: 24.03.2010

Derivat: Kubuntu

Architektur: 64-Bit PC

Desktop: KDE4

Andere Betriebssysteme: gibt es andere Betriebssysteme als Ubuntu?

  • Nachricht senden

27

26.02.2015, 12:28

Ah okay. Vielen Dank! Wieder was gelernt...